# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: v1
entries:
  solr:
  - annotations:
      artifacthub.io/changes: |
        - kind: added
          description: Official Solr Helm chart created. Works with the Solr Operator.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/112
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/276
        - kind: changed
          description: Default Solr Version upgraded to 8.9, does not affect existing clouds
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/285
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/287
        - kind: added
          description: Ability to create serviceAccount for SolrCloud deployment through Helm chart.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/264
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/283
      artifacthub.io/containsSecurityUpdates: "false"
      artifacthub.io/images: |
        - name: solr
          image: apache/solr:8.9
      artifacthub.io/links: |
        - name: "Solr Source"
          url: https://github.com/apache/solr
        - name: "Helm Chart Source"
          url: https://github.com/apache/solr-operator
        - name: "Solr Documentation"
          url: https://solr.apache.org/guide/
        - name: "Solr on Kube Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "false"
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr-operator
      artifacthub.io/signKey: |
        fingerprint: 50E3EE1C91C7E0CB4DFB007B369424FC98F3F6EC
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: 8.9.0
    created: "2021-09-07T11:00:04.887841-04:00"
    description: A SolrCloud cluser running on Kubernetes via the Solr Operator
    digest: 16aa2000580a3c195ffea24bb5caf7829de54af8a8141e00fa5e14802149cd13
    home: https://solr.apache.org
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    kubeVersion: '>= 1.16.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr
    sources:
    - https://github.com/apache/solr
    - https://github.com/apache/solr-operator
    urls:
    - solr-0.4.0.tgz
    version: 0.4.0
  solr-operator:
  - annotations:
      artifacthub.io/changes: |
        - kind: changed
          description: Zookeeper Operator supported version changed to v0.2.12
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/271
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/304
            - name: Zookeeper Operator Release Notes
              url: https://github.com/pravega/zookeeper-operator/releases/tag/v0.2.12
        - kind: added
          description: Ability to schedule automatic restarts for SolrClouds
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/281
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/279
        - kind: added
          description: Ability to use HostPath volumes for ephemeral Solr storage
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/266
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/265
        - kind: removed
          description: "Removed deprecated Solr Operator Helm chart option `useZkOperator`, use `zookeeper-operator.use` instead"
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/286
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/288
            - name: Deprecating Github PR
              url: https://github.com/apache/solr-operator/pull/231
        - kind: changed
          description: Default Solr Version upgraded to 8.9, does not affect existing clouds
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/285
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/287
        - kind: added
          description: Customize serviceAccountName for SolrCloud and SolrPrometheusExporter
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/264
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/283
        - kind: added
          description: Introduced ephemeral option for Zookeeper storage
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/259
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/284
        - kind: security
          description: Changed Solr Operator base Docker image to reduce vulnerabilities.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/294
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/295
        - kind: added
          description: Ability to customize probes for PrometheusExporter
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/282
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/297
        - kind: security
          description: Remove users role from the all permission in the initial security.json
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/274
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/299
        - kind: fixed
          description: Grant access to the /admin/zookeeper/status path to the k8s role in the initial security.json
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/289
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/299
        - kind: security
          description: Add a mountedServerTLSDir config option to support a unique certificate per pod mounted dynamically by an external agent or CSI driver
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/291
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/292
        - kind: added
          description: Ability to terminate TLS at Ingress for SolrCloud.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/268
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/293
        - kind: added
          description: Ability to schedule automatic restarts for SolrPrometheusExporters
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/310
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/313
        - kind: added
          description: Ability to specify ZK Config properties for provided Zookeeper Clusters.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/290
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/311
        - kind: added
          description: Option to watch for updates to the mTLS client certificate used by the operator to call Solr pods.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/317
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/318
        - kind: added
          description: Configuration options to support an additional client TLS cert in addition to the server certificate
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/300
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/312
      artifacthub.io/crds: |
        - kind: SolrCloud
          version: v1beta1
          name: solrcloud.solr.apache.org
          displayName: Solr Cloud
          description: A distributed Solr Cloud cluster
        - kind: SolrPrometheusExporter
          version: v1beta1
          name: solrprometheusexporter.solr.apache.org
          displayName: Solr Prometheus Exporter
          description: A Prometheus metrics exporter for Solr
        - kind: SolrBackup
          version: v1beta1
          name: solrbackup.solr.apache.org
          displayName: Solr Backup
          description: A backup mechanism for Solr
      artifacthub.io/crdsExamples: |
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrCloud
          metadata:
            name: example
          spec:
            dataStorage:
              persistent:
                reclaimPolicy: Delete
                pvcTemplate:
                  spec:
                    resources:
                      requests:
                        storage: "20Gi"
            replicas: 3
            solrImage:
              tag: 8.7.0
            solrJavaMem: "-Xms4g -Xmx4g"
            customSolrKubeOptions:
              podOptions:
                resources:
                  requests:
                    memory: "6G"
            zookeeperRef:
              provided:
                replicas: 3
            solrOpts: "-Dsolr.autoSoftCommit.maxTime=10000"
            solrGCTune: "-XX:SurvivorRatio=4 -XX:TargetSurvivorRatio=90 -XX:MaxTenuringThreshold=8"
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrPrometheusExporter
          metadata:
            name: example
          spec:
            solrReference:
              cloud:
                name: "example"
            numThreads: 4
            image:
              tag: 8.7.0
      artifacthub.io/images: |
        - name: solr-operator
          image: apache/solr-operator:v0.4.0
      artifacthub.io/links: |
        - name: "Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "true"
      artifacthub.io/operatorCapabilities: Seamless Upgrades
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr
      artifacthub.io/signKey: |
        fingerprint: 50E3EE1C91C7E0CB4DFB007B369424FC98F3F6EC
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: v0.4.0
    created: "2021-09-07T11:00:04.894673-04:00"
    dependencies:
    - condition: zookeeper-operator.install
      name: zookeeper-operator
      repository: https://charts.pravega.io
      version: 0.2.12
    description: The Solr Operator enables easy management of Solr resources within
      Kubernetes.
    digest: 3d0a5236a0f578b34bfa8aa5de066cc7dedcdbb153ff325d8b5d815c53cb4cbf
    home: https://solr.apache.org/operator
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    - operator
    kubeVersion: '>= 1.16.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr-operator
    sources:
    - https://github.com/apache/solr-operator
    urls:
    - solr-operator-0.4.0.tgz
    version: 0.4.0
generated: "2021-09-07T11:00:04.885763-04:00"
